Subject: Re: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Adam Sjøgren <[email-masked]>
Date: Sun, 17 Nov 2019 19:23:48 +0100

Alan writes:

>> I'm trying the patch without those two sections now (finally). No
>> crashes so far (around an hours worth of using Gnus).

> I’m pretty sure we need to free the Pictures there, so perhaps we need
> to free the Picture before freeing the associated pixmap...
>
> New patch attached.

After a while with this patch running Gnus, Emacs crashed like this:

  Fatal error 6: Aborted

  (emacs:56492): GLib-WARNING **: 19:05:37.714: g_main_context_prepare() called recursively from within a source's check() or prepare() member.

  (emacs:56492): GLib-WARNING **: 19:05:37.715: g_main_context_check() called recursively from within a source's check() or prepare() member.
  Aborted

  Best regards,

    Adam

-- 
 "I wish *I* was a tiger!"                                     Adam Sjøgren
 "A common lament."                                       [email-masked]